UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

35 lines 1.2 kB
"use strict"; Object.defineProperty(exports, "__esModule", { value: true }); exports.pricesEndpoint = void 0; const zod_1 = require("zod"); const commonTypes_1 = require("../../commonTypes"); exports.pricesEndpoint = { name: 'Prices', description: 'Get the current store prices for all items', queryName: 'Store_GetOffers', category: 'Store Endpoints', type: 'pd', suffix: 'store/v1/offers/', riotRequirements: { token: true, entitlement: true, clientPlatform: true, clientVersion: true }, responses: { '200': zod_1.z.object({ Offers: zod_1.z.array(zod_1.z.object({ OfferID: zod_1.z.string(), IsDirectPurchase: zod_1.z.boolean(), StartDate: commonTypes_1.dateSchema, Cost: zod_1.z.record(commonTypes_1.currencyIDSchema, zod_1.z.number()), Rewards: zod_1.z.array(zod_1.z.object({ ItemTypeID: commonTypes_1.itemTypeIDSchema, ItemID: commonTypes_1.itemIDSchema, Quantity: zod_1.z.number() })) })) }) } }; //# sourceMappingURL=Prices.js.map